Package org.eclipse.net4j.util.om.trace

## Class RemoteTraceHandler

- java.lang.Object
- - org.eclipse.net4j.util.om.trace.RemoteTraceHandler

- All Implemented Interfaces:
    `OMTraceHandler`

      public class RemoteTraceHandler
      extends java.lang.Object
      implements OMTraceHandler

  A `trace handler` that sends `trace events` to a remote trace `server`.
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `DEFAULT_HOST` |
    `static int` | `DEFAULT_PORT` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RemoteTraceHandler()` |
    `RemoteTraceHandler​(java.lang.String agentID)` |
    `RemoteTraceHandler​(java.lang.String agentID, java.lang.String host)` |
    `RemoteTraceHandler​(java.lang.String agentID, java.lang.String host, int port)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Exception` | `close()` |
    `protected java.net.Socket` | `connect()` |
    `void` | `traced​(OMTraceHandlerEvent event)` |
    `static java.lang.String` | `uniqueAgentID()` |
    `protected void` | `writeUTF​(java.io.DataOutputStream out, java.lang.String str)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_HOST

          public static final java.lang.String DEFAULT_HOST

      See Also:
        Constant Field Values

    - #### DEFAULT_PORT

          public static final int DEFAULT_PORT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RemoteTraceHandler

          public RemoteTraceHandler()
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### RemoteTraceHandler

          public RemoteTraceHandler​(java.lang.String agentID)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### RemoteTraceHandler

          public RemoteTraceHandler​(java.lang.String agentID,
                                    java.lang.String host)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### RemoteTraceHandler

          public RemoteTraceHandler​(java.lang.String agentID,
                                    java.lang.String host,
                                    int port)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### close

          public java.lang.Exception close()

    - #### traced

          public void traced​(OMTraceHandlerEvent event)

      Specified by:
        `traced` in interface `OMTraceHandler`

    - #### connect

          protected java.net.Socket connect()
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeUTF

          protected void writeUTF​(java.io.DataOutputStream out,
                                  java.lang.String str)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### uniqueAgentID

          public static java.lang.String uniqueAgentID()